Name:		dpm-xrootd
Summary:	XROOT interface to the Disk Pool Manager (DPM)
Version:	3.1.3
Release:	4%{?dist}
License:	GPLv3
Group:		Applications/Internet
URL:		http://svnweb.cern.ch/trac/lcgdm
# The source of this package was pulled from upstream's vcs. Use the 
# following commands to generate the tarball: 
# svn export http://svn.cern.ch/guest/lcgdm/dpm-xrootd/tags/dpm-xrootd_3_1_3_2 dpm-xrootd-3.1.3
# tar -czvf dpm-xrootd-3.1.3.tar.gz dpm-xrootd-3.1.3
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	cmake
BuildRequires:	dpm-devel
BuildRequires:	openssl-devel
BuildRequires:	xrootd-server-devel >= 1:3.3

Requires(preun):	chkconfig
Requires(preun):	initscripts
Requires(post):		chkconfig
Requires(postun):	initscripts
Requires:		xrootd >= 1:3.3
Provides:		DPM-xrootd = %{version}-%{release}
Obsoletes:		DPM-xrootd <= 2.2.0

%description
This package contains plugins for XROOTD to allow it to provide
access to DPM managed storage via the XROOT protocol.

%package devel 
Summary:	Development libraries and headers for the DPM XROOT interface 
Group:		Applications/Internet 
Requires:	dpm-xrootd%{?isa} = %{version}-%{release} 
 
%description devel 
This package contains the development libraries and headers for the  
DPM XROOT interface. 

%prep
%setup -q -n %{name}-%{version}

%build
%cmake . -DCMAKE_INSTALL_PREFIX=/

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%preun
if [ "$1" = "0" ]; then
    /sbin/service xrootd stop >/dev/null 2>&1 || :
    /sbin/service cmsd stop >/dev/null 2>&1 || :
fi

%postun
/sbin/ldconfig
if [ "$1" -ge "1" ] ; then
    /sbin/service xrootd condrestart >/dev/null 2>&1 || :
    /sbin/service cmsd condrestart >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/xrootd/xrootd-dpmdisk.cfg
%config(noreplace) %{_sysconfdir}/xrootd/xrootd-dpmfedredir_atlas.cfg
%config(noreplace) %{_sysconfdir}/xrootd/xrootd-dpmredir.cfg
%{_libdir}/libXrdDPMDiskAcc.so.3
%{_libdir}/libXrdDPMDiskAcc.so.%{version}
%{_libdir}/libXrdDPMFinder.so.3
%{_libdir}/libXrdDPMFinder.so.%{version}
%{_libdir}/libXrdDPMOss.so.3
%{_libdir}/libXrdDPMOss.so.%{version}
%{_libdir}/libXrdDPMRedirAcc.so.3
%{_libdir}/libXrdDPMRedirAcc.so.%{version}
%doc COPYING

%files devel 
%defattr(-,root,root) 
%dir %{_includedir}/XrdDPM 
%{_includedir}/XrdDPM/* 
%{_libdir}/libXrdDPM*.so 

%changelog
* Tue Apr 9 2013 David Smith <david.smith@cern.ch> 3.1.3-4
- Packaging change, require build and install with XRootD >= 3.3

* Tue Apr 02 2013 David Smith <david.smith@cern.ch> 3.1.3-1
- Allow build with XRootD 3.3

* Mon Oct 08 2012 David Smith <david.smith@cern.ch> 3.1.2-1
- Bump trunk version number after tagging 3.1.1
- Remove dependency on private xrootd interface XrdOssApi.hh
- Make directory check during startup forgiving if the dpns is not running
- Remove dependency on XrdSutRndm.hh
- Minor efficiency change in DFQueueAnchor::Remove

* Tue Jul 24 2012 David Smith <david.smith@cern.ch> 3.1.1-1
- Relax runtime requirement of Cthread_get/setenv() from liblcgdm.so
- Update of configuration templates
- Added crl:3 option to gsi settings in config templates
- Added XRD_MAXREDIRECTCOUNT=1 to sysconfig/xrootd template
- Added '+' to example cmsd hostname in sysconfig/xrootd template

* Fri Jun 15 2012 Ricardo Rocha <ricardo.rocha@cern.ch> 3.1.0-1
- Update for new upstream release

* Thu May 24 2012 Ricardo Rocha <ricardo.rocha@cern.ch> 3.0.0-2
- Added devel package

* Wed Feb 29 2012 David Smith <david.smith@cern.ch> 3.0.0-1
- New packing for 3.0.0-1

* Mon Dec 05 2011 Ricardo Rocha <ricardo.rocha@cern.ch> - 2.2.5-1
- Added dpmmgr user creation (required for service), only if non-existing
- Put init scripts in appropriate directory (initrddir)
- Moved include dir to -devel package
- Update to new upstream patch release

* Mon Nov 21 2011 Ricardo Rocha <ricardo.rocha@cern.ch> - 2.2.4-1
- Fixed license to match upstream (GPLv3)
- Update to new upstream version

* Sat Nov 19 2011 Ricardo Rocha <ricardo.rocha@cern.ch> - 2.2.3-2
- Added provides/obsoletes entry for DPM-xrootd <= 2.2.0

* Tue Nov 16 2011 Ricardo Rocha <ricardo.rocha@cern.ch> - 2.2.3-1
- Fixed spelling issues (detected by rpmlint)
- Added dependency on dpm-xrootd from devel package
- Removed ldconfig from -devel scriptlets
- Dropped useless doc files from -devel package
- Updated to build 2.2.3 upstream release (move to cmake and several fixes)

* Tue Nov 08 2011 Ricardo Rocha <ricardo.rocha@cern.ch> - 2.2.2-1
- Updated to build 2.2.2 upstream release (fixes for build in >=RHEL5)

* Mon Oct 17 2011 Ricardo Rocha <ricardo.rocha@cern.ch> - 2.2.1-1
- Initial build
